API ReferenceapibookingPOST /v1/providers

POST /v1/providers

Service: booking · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "brand_id": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "credentials": {
      "type": "string"
    },
    "specialty": {
      "type": "string"
    },
    "timezone": {
      "type": "string"
    }
  },
  "required": [
    "brand_id",
    "name"
  ]
}

Responses

201 Provider created

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "credentials": {
      "type": [
        "string",
        "null"
      ]
    },
    "specialty": {
      "type": [
        "string",
        "null"
      ]
    },
    "timezone": {
      "type": "string"
    },
    "active": {
      "type": "boolean"
    },
    "created_at": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "brand_id",
    "name",
    "credentials",
    "specialty",
    "timezone",
    "active",
    "created_at",
    "updated_at"
  ]
}

400 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://booking.platform.loop.health/v1/providers \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'